Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire
Interface PacketDeliverer

All Known Implementing Classes:
  MultiplexerPacketDeliverer, PacketDelivererImpl

    public interface PacketDeliverer

Delivers packets to locally connected streams. This is the opposite of the packet transporter.

Author:
  Iain Shigeoka

Method Summary
`void` | `deliver(Packet packet)` Delivers the given packet based on packet recipient and sender.

Method Detail

### deliver

    void deliver(Packet packet)
                 throws UnauthorizedException,
                        PacketException

  Delivers the given packet based on packet recipient and sender. The deliverer defers actual routing decisions to other classes.

  ## Warning

  Be careful to enforce concurrency DbC of concurrent by synchronizing any accesses to class resources.

  Parameters:
    `packet` - the packet to route
  Throws:
    `PacketException` - if the packet is null or the packet could not be routed.
    `UnauthorizedException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.